Skip to main content
GET
/
prod-api
/
nebula
/
v4
/
api
/
dressingv4Qurey
Any Shoot - Dressing Mode - Query Task
curl --request GET \
  --url https://ai-nebula.com/prod-api/nebula/v4/api/dressingv4Qurey \
  --header 'Authorization: <authorization>'
{
  "code": 200,
  "msg": "Operation successful",
  "data": {
    "status": "DONE",
    "resp_data": "{\"code\": 0, \"data\": {\"image_url\": \"https://example.com/generated-image.jpg\"}}"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openai-nebula.com/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

Query Any Shoot dressing mode task status and result.

Authentication

Authorization
string
required
Bearer Token, e.g., Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9... How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.openai-nebula.com/en/nebula-lab-v4/endpoint/get-token

Request Parameters

taskId
string
required
Task ID

Example Code

curl -X GET "https://ai-nebula.com/prod-api/nebula/v4/api/dressingv4Qurey?taskId=task-1234567890" \
  -H "Authorization: Bearer sk-xxxxxxxxxx"

Response Example

{
  "code": 200,
  "msg": "Operation successful",
  "data": {
    "status": "DONE",
    "resp_data": "{\"code\": 0, \"data\": {\"image_url\": \"https://example.com/generated-image.jpg\"}}"
  }
}